#!/usr/bin/perl -w
use CGI qw/:standard :html3 :netscape/;
use strict;
use vars qw(@classes $total $tuition $fees);

my $template = '';
{
 local $/ = undef;
 open( F, "bill_tmpl.html" ) or die "Unable to open template file.\n";
 $template = <F>;
 close( F );
}

my ($before, $after) = split /<cgi_content\/>/, $template;

print header, $before;

@classes  = cookie('classes');
$tuition = 0;
$total   = 0;
$fees    = 300;

if(@classes)
 {
  foreach my $class (@classes)
   {
    my ($yr,$hrs) = split '', $class;

    $total += $hrs;
  
    if(5 > $yr)
     {
      $tuition += ($hrs * 150);
     }
    else
     {
      $tuition += $hrs * (150 + 40 * ($yr - 4));
      $fees += 75;
     }
   }

  $fees += 200 if $total > 12;

  print br(), font( {-size=>"+2"}, "Your bill for this semester's classes"), br();

  print table( { -border => 0 },
       TR( th( {-align=>'left'}, "Tuition:" ), td( {-align=>'right'},'$'.$tuition ) ),  
       TR( th( {-align=>'left'}, "Fees:" ),    td( {-align=>'right'},'$'.$fees ) ),
       TR( th( '&nbsp;' ),                     td( hr( {-width=>100 } ) ) ),
       TR( th( {-align=>'left'}, "Total:" ),   td( {-align=>'right'},
                                                   '$'.($tuition+$fees) ) )
      );
 }
else
 {
  print br(), font( { -size => "+2" }, "You have no classes." );
 }


print $after;
